var sidebar_toc = {
  n: [
    { u: "about.html", t: "About This Manual", n: [
      { u: "about.html#preface.documentation", t: "Helix documentation" },
      { u: "preface.syntax.html", t: "Syntax conventions" },
      { u: "preface.feedback.html", t: "Please give us feedback" },
    ] },
    { u: "index.html", t: "1.  Getting Started with P4VS", n: [
      { u: "index.html#intro.about", t: "About P4VS, the Perforce plugin for Visual Studio", n: [
        { u: "index.html#intro.about.terminology", t: "Basic Perforce Terminology" },
        { u: "index.html#intro.about.tasks", t: "Basic Tasks" },
        { u: "index.html#intro.about.using_solution_explorer", t: "Using Solution Explorer with P4VS" },
        { u: "index.html#intro.about.using_visual_studio", t: "Using P4VS toolbars in Visual Studio" },
        { u: "index.html#intro.about.more_info", t: "For more information" },
      ] },
      { u: "intro.install.html", t: "Installing P4VS and enabling the extension in Visual Studio", n: [
        { u: "intro.install.html#intro.install.visual_studio_2013", t: "Installing P4VS in Visual Studio 2013 And Later Releases" },
        { u: "intro.install.html#intro.install.enable_visual_studio", t: "Enabling P4VS in Visual Studio (all supported versions)" },
      ] },
      { u: "intro.migrating.html", t: "Migrating from P4SCC to P4VS" },
      { u: "intro.preferences.html", t: "Setting Perforce preferences", n: [
        { u: "intro.preferences.html#intro.preferences.connections", t: "Perforce - Connections", n: [
          { u: "intro.preferences.html#intro.preferences.connections.open_project", t: "When opening a project under source control" },
          { u: "intro.preferences.html#intro.preferences.connections.open_close", t: "Opening and closing connections" },
        ] },
        { u: "intro.preferences.html#intro.preferences.data", t: "Perforce - Data Retrieval", n: [
          { u: "intro.preferences.html#intro.preferences.data.data", t: "Data retrieval:" },
          { u: "intro.preferences.html#intro.preferences.data.optimize", t: "Optimize file status retrieval:" },
        ] },
        { u: "intro.preferences.html#intro.preferences.diff", t: "Perforce - Diff/Merge" },
        { u: "intro.preferences.html#intro.preferences.general", t: "Perforce - General", n: [
          { u: "intro.preferences.html#intro.preferences.general.display", t: "Display:" },
          { u: "intro.preferences.html#intro.preferences.general.files", t: "Files and folders:" },
          { u: "intro.preferences.html#intro.preferences.general.project", t: "Project and solution files:" },
        ] },
        { u: "intro.preferences.html#intro.preferences.ignoring", t: "Perforce - Ignoring Files" },
        { u: "intro.preferences.html#intro.preferences.logging", t: "Perforce - Logging" },
        { u: "intro.preferences.html#intro.preferences.shortcuts", t: "Keyboard shortcuts" },
      ] },
      { u: "intro.connecting.html", t: "Connecting to Perforce services", n: [
        { u: "intro.connecting.html#intro.connecting.define", t: "Defining a new Perforce service connection" },
        { u: "intro.connecting.html#intro.connection.envars", t: "Setting Perforce connection settings using environment variables" },
        { u: "intro.connecting.html#intro.connection.open", t: "Opening a defined Perforce service connection" },
      ] },
      { u: "intro.p4config.html", t: "Setting Perforce environment variables using P4CONFIG" },
      { u: "intro.menus.html", t: "Customizing context menus" },
      { u: "intro.workspaces.html", t: "Managing workspace specifications", n: [
        { u: "intro.workspaces.html#intro.workspaces.create", t: "Creating workspaces" },
        { u: "intro.workspaces.html#intro.workspaces.change", t: "Changing your workspace" },
        { u: "intro.workspaces.html#intro.workspaces.view", t: "Viewing workspaces" },
        { u: "intro.workspaces.html#intro.workspaces.streams", t: "Stream workspaces" },
        { u: "intro.workspaces.html#intro.workspaces.defining", t: "Defining a workspace view", n: [
          { u: "intro.workspaces.html#intro.workspaces.defining.view", t: "Syntactic view specification" },
        ] },
      ] },
    ] },
    { u: "chapter.managing.html", t: "2.  Managing Files", n: [
      { u: "chapter.managing.html#managing.project", t: "Putting a project or solution under Perforce source control" },
      { u: "managing.adding.html", t: "Adding files to the depot" },
      { u: "managing.opening.html", t: "Opening a project or solution in the Perforce depot" },
      { u: "managing.retrieving.html", t: "Retrieving files from the depot" },
      { u: "managing.editing.html", t: "Checking out and editing files" },
      { u: "managing.submitting.html", t: "Checking in files and working with changelists", n: [
        { u: "managing.submitting.html#managing.submitting.checkin", t: "Checking in files" },
        { u: "managing.submitting.html#managing.submitting.displaying", t: "Displaying changelists" },
        { u: "managing.submitting.html#managing.submitting.editing", t: "Editing changelists" },
        { u: "managing.submitting.html#managing.submitting.restricting", t: "Restricting access to changelists" },
        { u: "managing.submitting.html#managing.submitting.moving", t: "Moving a file to another changelist" },
        { u: "managing.submitting.html#managing.submitting.preferences", t: "Setting changelist display preferences" },
      ] },
      { u: "managing.resolving.html", t: "Resolving conflicting changes", n: [
        { u: "managing.resolving.html#managing.resolving.multiple", t: "Resolving multiple files" },
        { u: "managing.resolving.html#managing.resolving.single", t: "Resolving individual files" },
      ] },
      { u: "managing.deleting.html", t: "Deleting files" },
      { u: "managing.excluding.html", t: "Excluding Files from Perforce Control", n: [
        { u: "managing.excluding.html#managing.excluding.preferences", t: "Setting Ignore List preferences" },
        { u: "managing.excluding.html#managing.excluding.add", t: "Adding a file to an Ignore List" },
        { u: "managing.excluding.html#managing.excluding.remove", t: "Removing a file from an Ignore List" },
        { u: "managing.excluding.html#managing.excluding.editing", t: "Editing Ignore Lists" },
      ] },
      { u: "managing.comparing.html", t: "Comparing files using diff" },
      { u: "managing.filetypes.html", t: "Changing Perforce file types" },
      { u: "managing.renaming.html", t: "Renaming and moving Files" },
      { u: "managing.history.html", t: "Displaying the revision history of a file or folder" },
      { u: "managing.shelving.html", t: "Shelving files", n: [
        { u: "managing.shelving.html#managing.shelving.checkedout", t: "Shelving checked-out files" },
        { u: "managing.shelving.html#managing.shelving.unshelving", t: "Unshelving files" },
        { u: "managing.shelving.html#managing.shelving.submitting", t: "Submitting shelved files" },
      ] },
    ] },
    { u: "chapter.streams.html", t: "3.  Working with Streams", n: [
      { u: "chapter.streams.html#streams.using", t: "Using the Streams tool window", n: [
        { u: "chapter.streams.html#streams.using.create", t: "Creating and editing streams" },
        { u: "chapter.streams.html#streams.using.display", t: "Displaying and searching for streams" },
      ] },
      { u: "streams.graph.html", t: "Using the Stream Graph", n: [
        { u: "streams.graph.html#streams.graph.access", t: "Accessing the Stream Graph from P4VS" },
        { u: "streams.graph.html#streams.graph.options", t: "Setting Stream Graph display options" },
        { u: "streams.graph.html#streams.graph.status", t: "Displaying stream status" },
        { u: "streams.graph.html#streams.graph.working", t: "Working in a stream" },
        { u: "streams.graph.html#streams.graph.other", t: "Other actions you can perform with the Stream Graph" },
      ] },
      { u: "streams.merging.html", t: "Merging down and copying up between streams", n: [
        { u: "streams.merging.html#streams.merging.down", t: "Merging down" },
        { u: "streams.merging.html#streams.graph.copy", t: "Copying up" },
        { u: "streams.merging.html#streams.graph.propogate", t: "Propagating change between unrelated streams" },
      ] },
    ] },
    { u: "chapter.other.html", t: "4.  Using Other Perforce Features", n: [
      { u: "chapter.other.html#other.revision_graph", t: "Viewing integration history in the Revision Graph", n: [
        { u: "chapter.other.html#other.revision_graph.launch", t: "Launching Revision Graph" },
        { u: "chapter.other.html#other.revision_graph.read", t: "Reading the Revision Graph" },
        { u: "chapter.other.html#other.revision_graph.navigate", t: "Navigating the Revision Graph" },
        { u: "chapter.other.html#other.revision_graph.filter", t: "Filtering the Revision Graph" },
        { u: "chapter.other.html#other.revision_graph.details", t: "Displaying details" },
      ] },
      { u: "other.history.html", t: "Viewing file history with Time-lapse View", n: [
        { u: "other.history.html#other.history.display", t: "Displaying Time-lapse View" },
        { u: "other.history.html#other.history.control", t: "Controlling the display" },
      ] },
      { u: "other.p4v.html", t: "Viewing a project in P4V, the Perforce Visual Client" },
      { u: "other.jobs.html", t: "Using jobs (defect tracking)", n: [
        { u: "other.jobs.html#other.jobs.create", t: "Creating jobs" },
        { u: "other.jobs.html#other.jobs.edit", t: "Editing jobs" },
        { u: "other.jobs.html#other.jobs.display", t: "Displaying jobs" },
        { u: "other.jobs.html#other.jobs.associate", t: "Associating changelists with jobs" },
        { u: "other.jobs.html#other.jobs.filter", t: "Filtering Expressions" },
      ] },
      { u: "other.labels.html", t: "Using Labels", n: [
        { u: "other.labels.html#other.labels.create", t: "Creating and editing labels" },
        { u: "other.labels.html#other.labels.files", t: "Labeling files" },
        { u: "other.labels.html#other.labels.display", t: "Displaying and searching for labels" },
        { u: "other.labels.html#other.labels.sync", t: "Retrieving files by label" },
      ] },
      { u: "other.swarm.html", t: "Working With Reviews in Swarm", n: [
        { u: "other.swarm.html#other.swarm.workflow", t: "Workflow of a review" },
        { u: "other.swarm.html#other.swarm.configuring", t: "Setting up the Swarm integration" },
        { u: "other.swarm.html#other.swarm.authentication", t: "Authentication with Swarm" },
        { u: "other.swarm.html#other.swarm.features", t: "Swarm integration features" },
        { u: "other.swarm.html#other.swarm.request", t: "Request a review", n: [
          { u: "other.swarm.html#other.swarm.request.pending", t: "Request a review from a pending changelist" },
          { u: "other.swarm.html#other.swarm.request.submitted", t: "Request a review from a submitted changelist" },
        ] },
        { u: "other.swarm.html#other.swarm.update", t: "Update Swarm Review", n: [
          { u: "other.swarm.html#other.swarm.update.pending", t: "Update a Swarm review from a pending changelist" },
          { u: "other.swarm.html#other.swarm.update.submitted", t: "Update a Swarm review from a submitted changelist" },
        ] },
        { u: "other.swarm.html#other.swarm.open", t: "Open review in Swarm" },
        { u: "other.swarm.html#other.swarm.columns", t: "Review Id and Review State columns" },
      ] },
    ] },
    { u: "license.statements.html", t: "A.  License Statements" },
  ]
}